ReaderCharacterSource (groovy 2.4.12 API)
Date: 2017-06-21

Package: groovy.json.internal

## [Java] Class ReaderCharacterSource

- groovy.json.internal.ReaderCharacterSource

- All Implemented Interfaces and Traits:
    CharacterSource

      public class ReaderCharacterSource

  Authors:
    Richard Hightower

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ReaderCharacterSource (Reader reader, int readAheadSize)`
    `ReaderCharacterSource (Reader reader)`
    `ReaderCharacterSource (String string)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `boolean` | `consumeIfMatch(char[] match)`
    `` | `int` | `currentChar()`
    `` | `String` | `errorDetails(String message)`
    `` | `char[]` | `findNextChar(int match, int esc)`
    `` | `boolean` | `hadEscape()`
    `` | `boolean` | `hasChar()`
    `` | `int` | `location()`
    `` | `int` | `nextChar()`
    `` | `char[]` | `readNumber()`
    `` | `int` | `safeNextChar()`
    `` | `void` | `skipWhiteSpace()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public ReaderCharacterSource(Reader reader, int readAheadSize)

    - #### public ReaderCharacterSource(Reader reader)

    - #### public ReaderCharacterSource(String string)

  - ### Method Detail

    - #### public final boolean consumeIfMatch(char[] match)

    - #### public final int currentChar()

    - #### public String errorDetails(String message)

    - #### public char[] findNextChar(int match, int esc)

    - #### public boolean hadEscape()

    - #### public final boolean hasChar()

    - #### public final int location()

    - #### public final int nextChar()

    - #### public char[] readNumber()

    - #### public final int safeNextChar()

    - #### public void skipWhiteSpace()